package com.bytedance.android.livesdk.gift.model;

import com.bytedance.android.live.base.model.ImageModel;
import com.bytedance.android.livesdk.model.BannerInRoom;
import com.bytedance.android.livesdk.model.Gift;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.List;

public final class PropSummary {
    public static final Long LIZ = 0L;
    public static final Long LIZIZ = 0L;
    public static final Long LIZJ = 0L;
    public static final Long LIZLLL = 0L;
    public static final Boolean LJ = false;
    public static final Integer LJFF = 0;
    public static final Boolean LJI = false;
    public static final Long LJII = 0L;
    public static final Long LJIIIIZZ = 0L;
    public static final Long LJIIIZ = 0L;
    @c(LIZ = "primary_effect_id")
    public Long LJIIJ;
    @c(LIZ = "next_expire")
    public Long LJIIJJI;
    @c(LIZ = "description")
    public String LJIIL;
    @c(LIZ = "prop_def_id")
    public Long LJIILIIL;
    @c(LIZ = "manual")
    public String LJIILJJIL;
    @c(LIZ = "diamond")
    public Long LJIILL;
    @c(LIZ = "reddot_tip")
    public Boolean LJIILLIIL;
    @c(LIZ = "icon")
    public ImageModel LJIIZILJ;
    @c(LIZ = "count")
    public Integer LJIJ;
    @c(LIZ = "name")
    public String LJIJI;
    @c(LIZ = "gift")
    public Gift LJIJJ;
    @c(LIZ = "label_icon")
    public ImageModel LJIJJLI;
    @c(LIZ = "is_fragment")
    public Boolean LJIL;
    @c(LIZ = "fragments_compound_count")
    public Long LJJ;
    @c(LIZ = "is_aweme_free_gift")
    public Long LJJI;
    @c(LIZ = "diamond_icon")
    public ImageModel LJJIFFI;
    @c(LIZ = "banner")
    public BannerInRoom LJJII;
    @c(LIZ = "prop_def_type")
    public Long LJJIII;
    @c(LIZ = "gifts")
    public List<HotfixGiftDataForProp> LJJIIJ;
    @c(LIZ = "scheme_url")
    public String LJJIIJZLJL;

    static {
        Covode.recordClassIndex(16423);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LJIIJ != null) {
            sb.append(", primary_effect_id=");
            sb.append(this.LJIIJ);
        }
        if (this.LJIIJJI != null) {
            sb.append(", next_expire=");
            sb.append(this.LJIIJJI);
        }
        if (this.LJIIL != null) {
            sb.append(", description=");
            sb.append(this.LJIIL);
        }
        if (this.LJIILIIL != null) {
            sb.append(", prop_def_id=");
            sb.append(this.LJIILIIL);
        }
        if (this.LJIILJJIL != null) {
            sb.append(", manual=");
            sb.append(this.LJIILJJIL);
        }
        if (this.LJIILL != null) {
            sb.append(", diamond=");
            sb.append(this.LJIILL);
        }
        if (this.LJIILLIIL != null) {
            sb.append(", reddot_tip=");
            sb.append(this.LJIILLIIL);
        }
        if (this.LJIIZILJ != null) {
            sb.append(", icon=");
            sb.append(this.LJIIZILJ);
        }
        if (this.LJIJ != null) {
            sb.append(", count=");
            sb.append(this.LJIJ);
        }
        if (this.LJIJI != null) {
            sb.append(", name=");
            sb.append(this.LJIJI);
        }
        if (this.LJIJJ != null) {
            sb.append(", gift=");
            sb.append(this.LJIJJ);
        }
        if (this.LJIJJLI != null) {
            sb.append(", label_icon=");
            sb.append(this.LJIJJLI);
        }
        if (this.LJIL != null) {
            sb.append(", is_fragment=");
            sb.append(this.LJIL);
        }
        if (this.LJJ != null) {
            sb.append(", fragments_compound_count=");
            sb.append(this.LJJ);
        }
        if (this.LJJI != null) {
            sb.append(", is_aweme_free_gift=");
            sb.append(this.LJJI);
        }
        if (this.LJJIFFI != null) {
            sb.append(", diamond_icon=");
            sb.append(this.LJJIFFI);
        }
        if (this.LJJII != null) {
            sb.append(", banner=");
            sb.append(this.LJJII);
        }
        if (this.LJJIII != null) {
            sb.append(", prop_def_type=");
            sb.append(this.LJJIII);
        }
        if (!this.LJJIIJ.isEmpty()) {
            sb.append(", gifts=");
            sb.append(this.LJJIIJ);
        }
        if (this.LJJIIJZLJL != null) {
            sb.append(", scheme_url=");
            sb.append(this.LJJIIJZLJL);
        }
        sb.replace(0, 2, "PropSummary{");
        sb.append('}');
        return sb.toString();
    }
}
